Subject: Re: [MBONED] Yangdoctors early review of draft-ietf-mboned-cbacc-02

From: Reshad Rahman <[email-masked]>
Date: Sat, 01 May 2021 15:17:55 -0400

Hi Jake,

Apologies for the slow response, unfortunately ~1-2 weeks will be typical response time from me, it will not make for a great RTT....

I've trimmed the email to items requiring a response.

On 2021-04-17, 5:38 PM, "Holland, Jake" <[email-masked]> wrote:

    Hi Reshad,

    Thanks for your review!  Sorry for the slow response, it's been a hectic
    time for me.

    On 04-11, 2:15 PM, "Reshad Rahman via Datatracker" <[email-masked]> wrote:
    > Is max-mss for a TCP Max Segment Size, or is this really max packet size? And
    > no need for jumbograms since this is for UDP?

    This is not a TCP MSS option, but rather intended to capture a similar
    concept for the multicast IP packets.  This is meant to be an
    advertisement of the max IP payload size that the sender will send for
    this data stream.  I guess I would call it a CBACC MSS option, instead
    of a TCP MSS option, but do you think that will cause confusion?  Maybe
    I should rename it to something like max-pdu or max-packet-size?
<RR> Please rename it. max-packet-size sounds good, and please add to the YANG description as per your text above.

    (The value is often useful to check against network mtu or packet buffer
    size for a receiving app.)

    > Add "unit" statement e.g. to data-rate-window and max-bits-per-second

    Thanks, I hadn't noticed this YANG feature.  It seems to be named "units"
    though, I think that's what you mean? (From section 7.3.3 of RFC 7950:
    https://tools.ietf.org/html/rfc7950#section-7.3.3 )
<RR> Correct, it is "units" as per your reference above.

    I don't see guidance on standardized fields, but I assume that the suggestion
    is satisfied by adding this to max-speed:
                units "kilobits/second";
    and this to data-rate-window:
                units "milliseconds";

    Is that correct?
<RR> I see RFC8776 uses Kbps in its typedef, unfortunately there doesn't seem to be standard types for this. Don't know if it's been considered for 6991-bis, I'll check/ask.
For milliseconds there is a new milliseconds32 type in 6991-bis which you can use.

    > Security considerations should mention the YANG data nodes.

    Thanks, I've added a note to my local copy.  I'm tentatively interpreting
    this comment as "follow the directions from Section 3.7 of RFC 8407", is
    that a correct summary of this advice?
    https://tools.ietf.org/html/rfc8407#section-3.7
<RR> It is.

Regards,
Reshad.

    Very helpful review, much appreciated!

    Best regards,
    Jake